import request from '@/utils/request'

// 查询站点产品用途管理列表
export function listPurpose(query) {
  return request({
    url: '/system/purpose/list',
    method: 'get',
    params: query
  })
}

// 查询站点产品用途管理详细
export function getPurpose(id) {
  return request({
    url: '/system/purpose/' + id,
    method: 'get'
  })
}

// 新增站点产品用途管理
export function addPurpose(data) {
  return request({
    url: '/system/purpose',
    method: 'post',
    data: data
  })
}

// 修改站点产品用途管理
export function updatePurpose(data) {
  return request({
    url: '/system/purpose',
    method: 'put',
    data: data
  })
}

// 删除站点产品用途管理
export function delPurpose(id) {
  return request({
    url: '/system/purpose/' + id,
    method: 'delete'
  })
}
